"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const runtime = require("../../../utils/vue/props/runtime.js");
const selectControllerProps = runtime.buildProps({
  date: {
    type: runtime.definePropType(Object),
    required: true
  },
  formatter: { type: runtime.definePropType(Function) }
});
const selectControllerEmits = { "date-change": (date) => shared_esmBundler.isObject(date) || shared_esmBundler.isString(date) };
exports.selectControllerEmits = selectControllerEmits;
exports.selectControllerProps = selectControllerProps;
